libFAudio 64-bit development files not found, XAudio2 won't be supported

Questions about Wine on Linux
Post Reply
davide84
Level 1
Level 1
Posts: 6
Joined: Fri Jan 03, 2020 3:52 am

libFAudio 64-bit development files not found, XAudio2 won't be supported

Post by davide84 » Sat Jan 04, 2020 5:16 pm

Hi everybody,

I'm getting the following error while compiling Wine 5-rc4 under Ubuntu 18.04:

Code: Select all

libFAudio 64-bit development files not found, XAudio2 won't be supported
While Wine compiles, the game I am trying to run crashes with

Code: Select all

002b:err:module:import_dll Library X3DAudio1_7.dll (which is needed by ...") not found
002b:err:module:import_dll Library XAPOFX1_5.dll (which is needed by ...") not found
002b:err:module:LdrInitializeThunk Importing dlls for L"..." failed, status c0000135
I have read viewtopic.php?f=8&t=32192 and I have FAudio installed (packaged Wine 5 rc3 runs) but here I the equivalent of a -dev package.

How do I get these development files? What is Wine looking for, just the headers or what else?

Thanks :)

User avatar
dimesio
Moderator
Moderator
Posts: 12844
Joined: Tue Mar 25, 2008 10:30 pm

Re: libFAudio 64-bit development files not found, XAudio2 won't be supported

Post by dimesio » Sun Jan 05, 2020 7:58 am

The libfaudio-dev i586 and x86_64 packages are available in the same OBS repository as libfaudio0.

davide84
Level 1
Level 1
Posts: 6
Joined: Fri Jan 03, 2020 3:52 am

Re: libFAudio 64-bit development files not found, XAudio2 won't be supported

Post by davide84 » Sun Jan 05, 2020 9:24 am

You are right, I found it. It is a single package within the "all" architecture folder. Thanks!

Post Reply